base-4.8.2.0: Basic libraries

Copyright | (c) The University of Glasgow 2001
License | BSD-style (see the file libraries/base/LICENSE)
Maintainer | libraries@haskell.org
Stability | experimental
Portability | portable
Safe Haskell | Safe
Language | Haskell2010

System.Info

Description

Information about the characteristics of the host system lucky enough to run your program.

Synopsis

- os :: String
- arch :: String
- compilerName :: String
- compilerVersion :: Version

# Documentation

os :: String

The operating system on which the program is running.

arch :: String

The machine architecture on which the program is running.

compilerName :: String

The Haskell implementation with which the program was compiled or is being interpreted.

compilerVersion :: Version

The version of `compilerName` with which the program was compiled or is being interpreted.